//
use actix::Handler;

use crate::server::{actor::messages::ShutdownTrigger, ServerActor};

impl Handler<ShutdownTrigger> for ServerActor {
    type Result = ();

    fn handle(&mut self, msg: ShutdownTrigger, _ctx: &mut Self::Context) -> Self::Result {
        self.shutdown_trigger.replace(msg.peel());
    }
}
