//
use actix::Handler;

use crate::tui::actor::{messages::Tick, Tui};

impl Handler<Tick> for Tui {
    type Result = std::io::Result<()>;

    fn handle(&mut self, _msg: Tick, ctx: &mut Self::Context) -> Self::Result {
        self.state.tap();
        self.draw()?;
        self.handle_input(ctx)?;
        Ok(())
    }
}
