use actix::Handler;

//
use crate::server::{actor::messages::ServerUpdate, ServerActor};

impl Handler<ServerUpdate> for ServerActor {
    type Result = ();

    fn handle(&mut self, msg: ServerUpdate, _ctx: &mut Self::Context) -> Self::Result {
        self.subscribers.iter().for_each(move |subscriber| {
            subscriber.do_send(msg.clone());
        });
    }
}
