//
use actix::prelude::*;

use crate::webhook::{messages::ShutdownWebhook, WebhookActor};

impl Handler<ShutdownWebhook> for WebhookActor {
    type Result = ();

    fn handle(&mut self, _msg: ShutdownWebhook, ctx: &mut Self::Context) -> Self::Result {
        self.spawn_handle.take();
        ctx.stop();
    }
}
